# -*- coding: utf-8 -*-

from django import forms


class QuestionForm(forms.Form):

    def __init__(self, *args, **kwargs):
        super(QuestionForm, self).__init__(*args, **kwargs)

    def get_form_question_widget_class(self, question):
        """
        Return field class and widget class given qtype field
        """
        fields_widget_tuple_dict = {
            'T': [
                forms.CharField(widget=forms.TextInput), forms.TextInput
            ],
            'A': [
                forms.CharField(widget=forms.Textarea), forms.Textarea
            ],
            'S': [
                forms.ModelChoiceField(
                    queryset=question.choices.order_by('ordering'),
                    widget=forms.Select
                ),
                forms.Select,
            ],
            'R': [
                forms.ModelChoiceField(
                    queryset=question.choices.order_by('ordering'),
                    widget=forms.RadioSelect,
                ),
                forms.RadioSelect,
            ],
            'C': [
                forms.ModelMultipleChoiceField(
                    queryset=question.choices.order_by('ordering'),
                    widget=forms.CheckboxSelectMultiple
                ),
                forms.CheckboxSelectMultiple,
            ]
        }
        return tuple(fields_widget_tuple_dict.get(question.qtype))
